<HTML>
<HEAD>
   <TITLE>Anna Goy - didattica</TITLE>
   <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="TEXT/HTML; CHARSET=ISO-8859-1">
   <META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
   <link rel="stylesheet" type="text/css" href="stile.css" media="screen" />

<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>

<script type="text/javascript">
  // la mappa
  var map;
  // il punto cliccato dall'utente
  var puntoUtente;
  // il servizio di calcolo dei percorsi
  var directionsService;
  // il servizio di visualizzazione dei percorsi
  var directionDisplay;

  // funzione che inizializza la pagina (crea una mappa "sensibile" al click dell'utente; 
  // crea un directionsService e un directionsDisplay)
  function initialize() {
	// creo un punto geografico corrispondente a Torino
    var torino = new google.maps.LatLng(45.069285079074305,7.688970565795898);
    var myOptions = {
      zoom: 12,
      center: torino,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    }
	// creo una mappa centrata su Torino
    map = new google.maps.Map(document.getElementById("map"), myOptions);
	
	//rendo la mappa "sensibile" al click dell'utente
	google.maps.event.addListener(map, 'click', function(event) {
		//accede alle coordinate del punto cliccato (event.latLng) e posiziona li' un marker
		var marker = new google.maps.Marker({
			position: event.latLng,
			map: map
		});
		marker.setIcon('img/mm_20_green.png');
		puntoUtente = event.latLng;
	});
    // creo un direcionsService e un directionsDisplay
	directionsService = new google.maps.DirectionsService();
    directionsDisplay = new google.maps.DirectionsRenderer();
    directionsDisplay.setMap(map);
  }	

  // funzione che prende in input i dati relativi ad un evento (nome, indirizzo, immagine, descrizione) e 
  // inserisce un marker "sensibile" (cioe' che al click fa comparire una infoWindow) sulla mappa contenuta nella variabile map
  function showEvent(name, add, img, des) {
  // mi creo un geocoder
    var geocoder = new google.maps.Geocoder();	  
	//invoco il metodo geocode, passandogli l'indirizzo  
    geocoder.geocode({'address': add}, function(results, status) {
	  if (status == google.maps.GeocoderStatus.OK) {
	    // centro la mappa sul punto geografico corrispondente all'indirizzo
        map.setCenter(results[0].geometry.location);
		// creo un marker su quel punto
        var marker = new google.maps.Marker({
            map: map, 
            position: results[0].geometry.location
        });
		// creo una infoWindow e la lego al marker
        var info = "<p><b>" + name + "</b><br />" + add + "<br /><img src='img/" + img + "' /><br />" + des + "</p>";
		//var info = "<p><b>" + name + "</b><br />" + add + "<br /><img src='img/" + img + "' /><br />" + "</p>";
        var infowindow = new google.maps.InfoWindow({
		  content: info
	    });
        google.maps.event.addListener(marker, 'click', function(){
		  infowindow.open(map, marker);
        });
      } else {
        alert("Geocode was not successful for the following reason: " + status);
      }
    });
  }
  
   // funzione che prende in input due punti geografici e mostra il percorso sulla mappa legata all'oggetto directionsDisplay
  function calcRoute(start, end) {
	if (start == null) {
		alert("Devi prima cliccare sulla mappa per indicare il punto da cui vuoi partire!");
	}
	var request = {
        origin:start, 
        destination:end,
        travelMode: google.maps.DirectionsTravelMode.DRIVING
    };
    directionsService.route(request, function(response, status) {
      if (status == google.maps.DirectionsStatus.OK) {
        directionsDisplay.setDirections(response);
      }
    });
  }

</script>

</HEAD>
<BODY onLoad="initialize()">

<!-- striscia in alto -->
<TABLE BORDER="0" CELLPADDING="1" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER" BGCOLOR="#003399">
<TR>
<TD ALIGN="CENTER" VALIGN="MIDDLE">
 <P><FONT FACE="Verdana" COLOR="white" SIZE="1">
  <B>Anna Goy</B>  -  Dip. di Informatica - Universit di Torino  -
  Corso Svizzera 185 - 10149 Torino (Italia) - goy@di.unito.it
 </FONT></P>
</TD>
</TR>
</TABLE>

<BR>

<TABLE BORDER="0" ALIGN="CENTER" WIDTH="100%"><TR>
<TD VALIGN="TOP" ALIGN="LEFT" WIDTH="10%">
  <IMG SRC="dida-grande.gif" ALIGN="BOTTOM" HSPACE="10">
</TD>
<TD ALIGN="CENTER" WIDTH="80%">
 <P ALIGN="CENTER"><FONT FACE="Verdana" COLOR="#003399" SIZE="3">CORSO</FONT></P>
 <P ALIGN="CENTER"><FONT FACE="Verdana" COLOR="#003399" SIZE="3"><B>PROGRAMMAZIONE WEB</B></FONT></P>
 <P ALIGN="CENTER"><FONT FACE="Verdana" COLOR="red" SIZE="3"><B>PROVE DI OPEN API</B></FONT></P>
</TD>
<TD VALIGN="TOP" ALIGN="RIGHT" WIDTH="10%">
  <IMG SRC="dida-grande.gif" ALIGN="BOTTOM" HSPACE="10">
</TD>
</TR></TABLE>

<HR ALIGN="CENTER" WIDTH="70%">

<P ALIGN="CENTER"><FONT FACE="Verdana" COLOR="black" SIZE="3"><B>Google Maps: un esempio</B></FONT></P>

<div id="text">
<P><B>ISTRUZIONI:</B></P>
<OL>
<LI>Clicca sul nome dell'<b>evento</b> per visualizzarlo sulla mappa
<BR />
<LI>Clicca sulla mappa per indicare il <b>punto di partenza</b>
<BR />
<LI>Clicca su "percorso" accanto all'evento prescelto per visualizzare il <b>percorso</b> per raggiungerlo
</OL>

<P><B>EVENTI:</B></P>

<?php
  include("dbConn.php");
  $conn = mysql_connect($host, $user, $pwd) or die ("Non riesco a creare la connessione");
  mysql_select_db($db) or die ("Non riesco a trovare il database");
  $sql1 = "SELECT * FROM eventi_torino";
  $ris1 = mysql_query($sql1) or die ("Query fallita!");
  while ($rec1 = mysql_fetch_array($ris1)) {
    $n = $rec1["nome"];
	$a = $rec1["indirizzo"];
	$i = $rec1["img"];
	$d = $rec1["descr"];
?>
    <P>
     <B><A HREF="" onClick="showEvent('<?php echo $n; ?>', '<?php echo $a; ?>', '<?php echo $i; ?>', '<?php echo $d; ?>'); return false;"><?php echo $n; ?></A></B>
	 <A HREF="" onClick="calcRoute(puntoUtente, '<?php echo $a; ?>'); return false;">- percorso</A>
    </P>
<?php
  }
?>

</div>

<div id="map"></div>

</body>
</html>